{
  "name": "stylepoint",
  "version": "0.0.1",
  "description": "Multi-functional internal tool for StyleTech",
  "productName": "StylePoint",
  "author": "Cameron Redmore <cameron@redmore.me>",
  "type": "module",
  "private": true,
  "scripts": {
    "test": "echo \"No test specified\" && exit 0",
    "dev": "pnpm i && pnpm prisma migrate dev && concurrently \"quasar dev -m spa\" \"nodemon src-server/server.js\"",
    "build": "quasar build -m spa",
    "postinstall": "quasar prepare"
  },
  "dependencies": {
    "@google/genai": "^0.9.0",
    "@kenjiuno/msgreader": "^1.22.0",
    "@prisma/client": "^6.6.0",
    "@quasar/extras": "^1.16.4",
    "@quixo3/prisma-session-store": "^3.1.13",
    "@simplewebauthn/browser": "^13.1.0",
    "@simplewebauthn/server": "^13.1.1",
    "axios": "^1.8.4",
    "better-sqlite3": "^11.9.1",
    "date-fns": "^4.1.0",
    "dompurify": "^3.2.5",
    "dotenv": "^16.5.0",
    "express-session": "^1.18.1",
    "mailparser": "^3.7.2",
    "marked": "^15.0.9",
    "node-cron": "^3.0.3",
    "node-imap": "^0.9.6",
    "pdfkit": "^0.17.0",
    "pdfmake": "^0.2.18",
    "pinia": "^3.0.2",
    "pino": "^9.6.0",
    "pino-abstract-transport": "^2.0.0",
    "pino-http": "^10.4.0",
    "pino-pretty": "^13.0.0",
    "quasar": "^2.16.0",
    "uuid": "^11.1.0",
    "vue": "^3.4.18",
    "vue-router": "^4.0.0"
  },
  "devDependencies": {
    "@eslint/js": "^9.25.1",
    "@quasar/app-vite": "^2.1.0",
    "@stylistic/eslint-plugin": "^4.2.0",
    "@types/express-session": "^1.18.1",
    "@types/uuid": "^10.0.0",
    "@vue/eslint-config-prettier": "^10.2.0",
    "autoprefixer": "^10.4.2",
    "concurrently": "^9.1.2",
    "eslint": "^9.25.1",
    "eslint-plugin-vue": "^10.0.0",
    "globals": "^16.0.0",
    "nodemon": "^3.1.10",
    "postcss": "^8.4.14",
    "prettier": "^3.5.3",
    "prisma": "^6.6.0",
    "vite-plugin-checker": "^0.9.1"
  },
  "engines": {
    "node": "^28 || ^26 || ^24 || ^22 || ^20 || ^18",
    "npm": ">= 6.13.4",
    "yarn": ">= 1.21.1"
  }
}